Package icyllis.modernui.core.awt

# Class AWTVK

java.lang.Object
icyllis.modernui.core.awt.AWTVK

public class AWTVK extends Object
Vulkan API. To use the surface, `VK_KHR_SURFACE_EXTENSION_NAME` and `getSurfaceExtensionName()` must be enabled extensions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AWTVK()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `checkSupport(org.lwjgl.vulkan.VkPhysicalDevice physicalDevice, int queueFamilyIndex)`
  Checks if the physical device supports the queue family index.
  `static long`
  `create(Canvas canvas, org.lwjgl.vulkan.VkInstance instance)`
  Uses the provided canvas to create a Vulkan surface to draw on.
  `static String`
  `getSurfaceExtensionName()`
  Gets the required surface extension for the platform.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AWTVK

    public AWTVK()

- ## Method Details

  - ### getSurfaceExtensionName

    public static String getSurfaceExtensionName()
    Gets the required surface extension for the platform. Also enable `VK_KHR_SURFACE_EXTENSION_NAME`.

  - ### checkSupport

    public static boolean checkSupport(org.lwjgl.vulkan.VkPhysicalDevice physicalDevice, int queueFamilyIndex)
    Checks if the physical device supports the queue family index.
    Parameters:
      `physicalDevice` - the physical device to check
      `queueFamilyIndex` - the index of the queue family to test
    Returns:
      true if the physical device supports the queue family index

  - ### create

    public static long create(Canvas canvas, org.lwjgl.vulkan.VkInstance instance) throws AWTException
    Uses the provided canvas to create a Vulkan surface to draw on.
    Parameters:
      `canvas` - canvas to render onto
      `instance` - vulkan instance
    Returns:
      handle of the surface
    Throws:
      `AWTException` - if the surface creation fails